> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqlick.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a list of documents

> Retrieve all documents for the authenticated workspace.



## OpenAPI

````yaml GET /documents
openapi: 3.0.0
info:
  title: Reqlick API
  version: 1.0.0
  description: Reqlick API Documentation
servers:
  - url: https://api.reqlick.com
security:
  - bearerAuth: []
tags:
  - name: Documents
    description: Documents management
  - name: Domains
    description: Domains management
  - name: GoogleAuth
    description: Google Authentication
  - name: Links
    description: Links management
  - name: Payments
    description: Payments management
  - name: QRCodes
    description: QR Codes management
  - name: Resources
    description: Resources management
  - name: Subscriptions
    description: Subscription management
  - name: Users
    description: User management and authentication
  - name: Workspaces
    description: Workspaces management
paths:
  /documents:
    get:
      tags:
        - Documents
      summary: Retrieve all documents by workspace URL
      parameters:
        - name: project
          in: query
          required: true
          schema:
            type: string
          description: Workspace url
      responses:
        '200':
          description: Get all documents
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      description: Document ID
                      example: 1110580a82031111aaa01111
                    name:
                      type: string
                      description: Document name
                      example: example.pptx
                    description:
                      type: string
                      description: Document description
                      example: This is an example
                    file:
                      type: string
                      description: File name
                      example: Example PPTX
                    size:
                      type: integer
                      description: File size in bytes
                      example: 38705381
                    type:
                      type: string
                      description: File type
                      example: .pptx
                    createdAt:
                      type: string
                      format: date-time
                      description: Creation date
                      example: '2024-07-16T10:48:18.541Z'
                    updatedAt:
                      type: string
                      format: date-time
                      description: Last update date
                      example: '2024-07-16T10:48:18.541Z'
                    projectId:
                      type: string
                      description: Project ID
                      example: 1110580a82031111aaa01111
                    _count:
                      type: object
                      properties:
                        links:
                          type: integer
                          description: Number of links
                          example: 100
                        views:
                          type: integer
                          description: Number of views
                          example: 700
                    createdBy:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Name of the creator
                          example: Example
                        image:
                          type: string
                          description: URL of the creator's image
                          example: https://example.com/image.png
                        id:
                          type: string
                          description: Creator's ID
                          example: 1110580a82031111aaa01111
                    views:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            description: View ID
                            example: 1110580a82031111aaa01111
                    links:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                            description: Link ID
                            example: 1110580a82031111aaa01111
                          documentId:
                            type: string
                            description: Document ID associated with the link
                            example: 1110580a82031111aaa01111
                          url:
                            type: string
                            description: URL of the link
                          key:
                            type: string
                            description: Key of the link
                            example: sport
                          expiresAt:
                            type: string
                            format: date-time
                            description: Expiration date of the link
                          password:
                            type: string
                            description: Password for the link
                          proxy:
                            type: boolean
                            description: Indicates if the link is a proxy
                          isFile:
                            type: boolean
                            description: Indicates if the link is a file
                          isQR:
                            type: boolean
                            description: Indicates if the link is a QR code
                          title:
                            type: string
                            description: Title of the link
                            example: Instant File Sharing Link with Reqlick
                          description:
                            type: string
                            description: Description of the link
                            example: >-
                              Turn your files into shareable links and connect
                              effortlessly
                          image:
                            type: string
                            description: URL of the link's image
                            example: /thumbnail.png
                          allowedEmails:
                            type: array
                            items:
                              type: string
                              description: List of allowed email addresses
                          createdAt:
                            type: string
                            format: date-time
                            description: Creation date of the link
                            example: '2024-07-16T10:48:19.492Z'
                          updatedAt:
                            type: string
                            format: date-time
                            description: Last update date of the link
                            example: '2024-07-16T10:48:19.492Z'
                          projectId:
                            type: string
                            description: Project ID associated with the link
                            example: 1110580a82031111aaa01111
                          isPublic:
                            type: boolean
                            description: Indicates if the link is public
                            example: true
                          isActive:
                            type: boolean
                            description: Indicates if the link is active
                            example: true
                          isArchived:
                            type: boolean
                            description: Indicates if the link is archived
                            example: false
                          isRecord:
                            type: boolean
                            description: Indicates if the link is a record
                            example: false
                          domain:
                            type: string
                            description: Domain of the link
                            example: rqk.sh
                          utm_source:
                            type: string
                            description: UTM source
                            example: null
                          utm_medium:
                            type: string
                            description: UTM medium
                            example: null
                          utm_campaign:
                            type: string
                            description: UTM campaign
                            example: null
                          utm_term:
                            type: string
                            description: UTM term
                            example: null
                          utm_content:
                            type: string
                            description: UTM content
                            example: null
                          ref:
                            type: string
                            description: Reference
                            example: null
                          ios:
                            type: string
                            description: iOS link
                            example: null
                          android:
                            type: string
                            description: Android link
                            example: null
                          tagId:
                            type: string
                            description: Tag ID
                            example: null
                          createdSessionId:
                            type: string
                            description: Created session ID
                            example: null
        '401':
          description: Authentication Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Authentication Error
                  feedback:
                    type: string
                    example: You are unauthenticated!
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````